org.apache.storm.cassandra.executor

## Class ExecutionResultCollector.FailedCollector

- java.lang.Object
- - org.apache.storm.cassandra.executor.ExecutionResultCollector.FailedCollector

- All Implemented Interfaces:
    ExecutionResultCollector
  Enclosing interface:
    ExecutionResultCollector

      public static final class ExecutionResultCollector.FailedCollector
      extends Object
      implements ExecutionResultCollector

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.storm.cassandra.executor.ExecutionResultCollector

      `ExecutionResultCollector.FailedCollector, ExecutionResultCollector.SucceedCollector`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FailedCollector(List<Tuple> inputs, Throwable cause)` Creates a new `ExecutionResultCollector.FailedCollector` instance.
    `FailedCollector(Tuple input, Throwable cause)` Creates a new `ExecutionResultCollector.FailedCollector` instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handle(OutputCollector collector, ExecutionResultHandler handler)` Calls `ExecutionResultHandler.onThrowable(Throwable, org.apache.storm.task.OutputCollector, org.apache.storm.tuple.Tuple)` .

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FailedCollector

          public FailedCollector(Tuple input,
                                 Throwable cause)

      Creates a new `ExecutionResultCollector.FailedCollector` instance.

      Parameters:
        `input` - the input tuple.
        `cause` - the cause of the error.

    - #### FailedCollector

          public FailedCollector(List<Tuple> inputs,
                                 Throwable cause)

      Creates a new `ExecutionResultCollector.FailedCollector` instance.

      Parameters:
        `inputs` - the input tuple.
        `cause` - the cause of the error.

  - ### Method Detail

    - #### handle

          public void handle(OutputCollector collector,
                             ExecutionResultHandler handler)

      Calls `ExecutionResultHandler.onThrowable(Throwable, org.apache.storm.task.OutputCollector, org.apache.storm.tuple.Tuple)` .

      Specified by:
        `handle` in interface `ExecutionResultCollector`

Copyright © 2019 The Apache Software Foundation. All rights reserved.